Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
Class TabbedPaneFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.TabbedPaneFactory

    class TabbedPaneFactory
    extends BeanFactory

Property Summary
`static String` | `CONTEXT_DATA_KEY`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_ICON`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP`
`static String` | `DEFAULT_DELEGATE_PROPERTY_TITLE`
`static String` | `DELEGATE_PROPERTY_TAB_BACKGROUND`
`static String` | `DELEGATE_PROPERTY_TAB_DISABLED_ICON`
`static String` | `DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX`
`static String` | `DELEGATE_PROPERTY_TAB_ENABLED`
`static String` | `DELEGATE_PROPERTY_TAB_FOREGROUND`
`static String` | `DELEGATE_PROPERTY_TAB_ICON`
`static String` | `DELEGATE_PROPERTY_TAB_MNEMONIC`
`static String` | `DELEGATE_PROPERTY_TAB_TOOL_TIP`
`static String` | `DELEGATE_PROPERTY_TITLE`

Constructor Summary
`TabbedPaneFactory(Class beanClass)`

Method Summary
`static void` | `inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)`
`void` | `setChild(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Property Detail

### CONTEXT_DATA_KEY

    public static final String CONTEXT_DATA_KEY

### DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_BACKGROUND

### DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_DISABLED_ICON

### DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

### DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_ENABLED

### DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_FOREGROUND

### DEFAULT_DELEGATE_PROPERTY_TAB_ICON

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_ICON

### DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_MNEMONIC

### DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP

    public static final String DEFAULT_DELEGATE_PROPERTY_TAB_TOOL_TIP

### DEFAULT_DELEGATE_PROPERTY_TITLE

    public static final String DEFAULT_DELEGATE_PROPERTY_TITLE

### DELEGATE_PROPERTY_TAB_BACKGROUND

    public static final String DELEGATE_PROPERTY_TAB_BACKGROUND

### DELEGATE_PROPERTY_TAB_DISABLED_ICON

    public static final String DELEGATE_PROPERTY_TAB_DISABLED_ICON

### DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

    public static final String DELEGATE_PROPERTY_TAB_DISPLAYED_MNEMONIC_INDEX

### DELEGATE_PROPERTY_TAB_ENABLED

    public static final String DELEGATE_PROPERTY_TAB_ENABLED

### DELEGATE_PROPERTY_TAB_FOREGROUND

    public static final String DELEGATE_PROPERTY_TAB_FOREGROUND

### DELEGATE_PROPERTY_TAB_ICON

    public static final String DELEGATE_PROPERTY_TAB_ICON

### DELEGATE_PROPERTY_TAB_MNEMONIC

    public static final String DELEGATE_PROPERTY_TAB_MNEMONIC

### DELEGATE_PROPERTY_TAB_TOOL_TIP

    public static final String DELEGATE_PROPERTY_TAB_TOOL_TIP

### DELEGATE_PROPERTY_TITLE

    public static final String DELEGATE_PROPERTY_TITLE

Constructor Detail

### TabbedPaneFactory

    public TabbedPaneFactory(Class beanClass)

Method Detail

### inspectChild

    public static void inspectChild(FactoryBuilderSupport builder, Object node, Map attributes)

### newInstance

    public Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### onNodeCompleted

    public void onNodeCompleted(FactoryBuilderSupport builder, Object parent, Object node)

### setChild

    public void setChild(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2009 The Codehaus. All rights reserved.